Subject: Re: bug#44005: 28.0.50; Deleting region doesn't work

From: Parham Doustdar <[email-masked]>
Date: Thu, 15 Oct 2020 21:51:26 +0200

Hi,
Reading the documentation for the variable you just pointed to made me
realize that maybe transient-mode is somehow being turned off.
I did `emacs -Q`, and checked the value of `transient-mark-mode' in the
customize interface. It says that the value was "modified outside
customize".
So, something is setting this variable to nil, even though the standard
value is `t'.
No idea how this could be caused (maybe it's caused by the emacs-plus
homebrew formula I'm using?) but at least I can get rid of the weird
behavior by turning on transient mark mode now.
Thanks a lot everyone for all the help. I really appreciate it.
Best,
Parham

On Thu, Oct 15, 2020 at 9:29 PM Andrii Kolomoiets <[email-masked]>
wrote:

> Parham Doustdar <[email-masked]> writes:
>
> > Hi there,
> > <DEL> runs `delete-backward-char'.
>
> What is the value of the `delete-active-region` variable?
>
> I can reproduce your issue by these steps:
> 1. emacs -Q
> 2. M-: (setq delete-active-region nil)
> 3. C-x h
> 4. M-x delete-backward-char
>
> But if I skip step 2 the selected text is deleted.
>